> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/oauth-client-management/client-registration.md).

# Client Registration

Register clients.

## Read all client registrations.

> Read all clients registrations available in your Collibra instance.\
> \
> This endpoint is proprietary, rather than part of the OAuth 2.0 family of standards.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Client Management API","version":"1.2.0"},"tags":[{"name":"Client Registration","description":"Register clients."}],"servers":[{"url":"/rest/auth/v1"},{"url":"/rest/auth/v1/platform"}],"paths":{"/clients":{"get":{"operationId":"findClients","summary":"Read all client registrations.","description":"Read all clients registrations available in your Collibra instance.\n\nThis endpoint is proprietary, rather than part of the OAuth 2.0 family of standards.\n","tags":["Client Registration"],"responses":{"200":{"description":"Client registrations retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientRegistrations"}}}}}}}},"components":{"schemas":{"ClientRegistrations":{"type":"object","description":"Client registrations found.","properties":{"registrations":{"type":"array","items":{"$ref":"#/components/schemas/ClientInformationSummary"}}}},"ClientInformationSummary":{"type":"object","description":"Contains abbreviated data about a registered client.","properties":{"client_id":{"type":"string","description":"Technical client identifier of the client."},"client_name":{"type":"string","description":"Descriptive name of the client."},"client_id_issued_at":{"type":"integer","format":"int64","description":"Time at which the client identifier was issued."},"grant_types":{"type":"array","items":{"type":"string"},"description":"Authorization grants that the client is allowed to use at the token endpoint."},"redirect_uris":{"type":"array","items":{"type":"string","format":"uri"},"description":"Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type."}}}}}}
```

## Register client

> Register a client installed at your premises.\
> \
> Collibra assigns the registered client a unique client identifier,\
> assigns a client secret, and associates the metadata\
> provided in the request to the registered client.<br>

```json
{"openapi":"3.0.3","info":{"title":"Collibra OAuth 2.0 Client Management API","version":"1.2.0"},"tags":[{"name":"Client Registration","description":"Register clients."}],"servers":[{"url":"/rest/auth/v1"},{"url":"/rest/auth/v1/platform"}],"paths":{"/clients":{"post":{"operationId":"registerClient","summary":"Register client","description":"Register a client installed at your premises.\n\nCollibra assigns the registered client a unique client identifier,\nassigns a client secret, and associates the metadata\nprovided in the request to the registered client.\n","tags":["Client Registration"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RegisterClient"}}}},"responses":{"201":{"description":"Client registered successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientRegistration"}}}},"400":{"$ref":"#/components/responses/400"}}}}},"components":{"schemas":{"RegisterClient":{"type":"object","description":"Request to register a new client.","allOf":[{"$ref":"#/components/schemas/ClientWriteableInformation"}],"properties":{"software_id":{"type":"string","description":"Identifier of the Collibra software bundle that implements the client."}},"required":["client_name"]},"ClientWriteableInformation":{"type":"object","properties":{"client_name":{"type":"string","description":"Descriptive name of the client.\n\nTwo different clients cannot have the same name.\n\nThis should be a name that reveals the purpose of the client.\n"},"grant_types":{"type":"array","items":{"type":"string"},"description":"Authorization grants that the client is allowed to use."},"redirect_uris":{"type":"array","items":{"type":"string","format":"uri"},"description":"Redirection URI strings for use in the authorization code flow. Required when the client intends to use the authorization_code grant type."}}},"ClientRegistration":{"allOf":[{"$ref":"#/components/schemas/ClientInformation"}],"type":"object","description":"Data associated to the registered client.\n\nThe client secret returned in this response cannot be read through any API call.\nThus you should store the client secret returned in this response.\n","properties":{"client_secret":{"type":"string","format":"password","description":"Secret generated by Collibra for the registered client."}}},"ClientInformation":{"type":"object","description":"Contains all data known for a registered client.","allOf":[{"$ref":"#/components/schemas/ClientReadOnlyInformation"},{"$ref":"#/components/schemas/ClientWriteableInformation"}]},"ClientReadOnlyInformation":{"type":"object","properties":{"client_id":{"type":"string","description":"Technical client identifier returned by the Authorization Server when the client is registered."},"client_id_issued_at":{"type":"integer","format":"int64","description":"Time at which the client identifier was issued.\n\nThe time is represented as the number of seconds from\n1970-01-01T00:00:00Z as measured in UTC until the date/time of\nissuance."}}},"ClientRegistrationError":{"type":"object","description":"Error condition resulting from a client registration call.","properties":{"error":{"type":"string","description":"Error code."},"error_description":{"type":"string","description":"Human-readable description of the error."}}}},"responses":{"400":{"description":"Client registration request is invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientRegistrationError"}}}}}}}
```
